Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# RenderState.cpp File Reference

class for driver renderstate settings More...

`#include "deRenderStates_priv.hpp"`
`#include "deWorld.hpp"`

Include dependency graph for RenderState.cpp:

## Functions
deBoolean | IdeRenderState_Initialize ()
long | IdeRenderState_GetWOInterfaceID ()
| Get the IdeRenderState WorldObject interface ID.
IdeRenderTexture * | IdeRenderState_CreateRenderTexture ()
| Create an instance of IdeRenderTexture.
IdeRenderMaterial * | IdeRenderState_CreateRenderMaterial ()
| Create an instance of IdeRenderMaterial.
IdeRenderLight * | IdeRenderState_CreateRenderLight ()
| Create an instance of IdeRenderLight.
## Variables
long | s_RenderStateWOInterfaceID = -1

## Detailed Description

class for driver renderstate settings

Author:
  Lightning

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Aug 2001

Author:
  Lightning

Remarks:
  Creation

## Function Documentation

IdeRenderLight* IdeRenderState_CreateRenderLight | ( |  | ) |

| Create an instance of IdeRenderLight.

IdeRenderMaterial* IdeRenderState_CreateRenderMaterial | ( |  | ) |

| Create an instance of IdeRenderMaterial.

IdeRenderTexture* IdeRenderState_CreateRenderTexture | ( |  | ) |

| Create an instance of IdeRenderTexture.

long IdeRenderState_GetWOInterfaceID | ( |  | ) |

| Get the IdeRenderState WorldObject interface ID.

deBoolean IdeRenderState_Initialize | ( |  | ) |

## Variable Documentation

long s_RenderStateWOInterfaceID = -1`[static]`